extend("fiskheroes:hero_basic");
loadTextures({
   "layer1": "pack:namor_layer1",
    "layer2": "pack:namor_layer2"
});

var utils = implement("fiskheroes:external/utils");




function initEffects(renderer) {
	

	
    utils.addCameraShake(renderer, 0.015, 1.5, "fiskheroes:flight_boost_timer");

    // Charged Beam
}

function initAnimations(renderer) {
	
    utils.addFlightAnimation(renderer, "mmcw.FLIGHT", "fiskheroes:flight/default_arms_forward.anim.json");
    utils.addHoverAnimation(renderer, "mmcw.HOVER", "fiskheroes:flight/idle/neutral");
}
 


